# Interface Sampler

All Superinterfaces:
  `Cloneable, Serializable, TestElement`

All Known Implementing Classes:
  `AbstractSampler, AccessLogSampler, AjpSampler, BaseJMSSampler, BeanShellSampler, BSFSampler, DebugSampler, Example1, Example2, Example3, ExampleSampler, FTPSampler, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCSampler, JMSSampler, JSR223Sampler, JUnitSampler, LDAPExtSampler, LDAPSampler, MailReaderSampler, MongoScriptSampler, PublisherSampler, SmtpSampler, SoapSampler, SubscriberSampler, SystemSampler, TCPSampler, TestAction, TransactionSampler, WebServiceSampler`

public interface Sampler extends Serializable, TestElement
Classes which are able to generate information about an entry should implement this interface.

Version:
  $Revision: 1647215 $

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Method Summary

Modifier and Type
Method
Description
`SampleResult`
`sample(Entry e)`
Obtains statistics about the given Entry, and packages the information into a SampleResult.

### Methods inherited from interface TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

## Method Details

### sample

SampleResult sample(Entry e)
Obtains statistics about the given Entry, and packages the information into a SampleResult.

Parameters:
  `e` - the Entry (TODO seems to be unused)
Returns:
  information about the sample